## gate.util.protocols.gate
Class Handler

    java.lang.Object
      |
      +--java.net.URLStreamHandler
            |
            +--gate.util.protocols.gate.Handler

public class Handler
extends URLStreamHandler

The handler for the "gate://" URLs. All this class does is to transparently transform a "gate://" URL into an URL of the according type and forward all requests through it.

Constructor Summary
`Handler()`

Method Summary
`protected URLConnection` `openConnection(URL u)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### openConnection

    protected URLConnection openConnection(URL u)
                                    throws IOException

  Overrides:
    `openConnection` in class `URLStreamHandler`